<?php 
if(!function_exists('pallas_custom_frontend_style')){
    function pallas_custom_frontend_style(){
        global $theme_option;
?>        
    <style type="text/css">           
      a {
        color: <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      ::selection {
        color: #fff;
        background: <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      ::-moz-selection {
        color: #fff;
        background: <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }

      /**** Custom logo ****/
      .logo{        
        width: <?php echo esc_attr($theme_option['logo_width']); ?>;
        height: <?php echo esc_attr($theme_option['logo_height']); ?>;  
        background:url('<?php echo esc_url($theme_option['logo']['url']); ?>') no-repeat center center;      
        background-size: <?php echo esc_attr($theme_option['logo_width']); ?> <?php echo esc_attr($theme_option['logo_height']); ?>; 
        top:<?php echo esc_attr($theme_option['logo_margintop']); ?>;     
      }
      .cbp-af-header.cbp-af-header-shrink .logo{
        width: <?php echo esc_attr($theme_option['logo_width2']); ?>;
        height: <?php echo esc_attr($theme_option['logo_height2']); ?>;   
        background:url('<?php echo esc_url($theme_option['logo2']['url']); ?>') no-repeat center center;     
        background-size: <?php echo esc_attr($theme_option['logo_width2']); ?> <?php echo esc_attr($theme_option['logo_height2']); ?>;  
        top:<?php echo esc_attr($theme_option['logo_margintop2']); ?>;
      }
      @media only screen and (max-width: 1200px) {
        .logo, .cbp-af-header.cbp-af-header-shrink .logo{
          width: <?php echo esc_attr($theme_option['logomobile_width']); ?>;
          height: <?php echo esc_attr($theme_option['logomobile_height']); ?>;  
          background:url('<?php echo esc_url($theme_option['logo']['url']); ?>') no-repeat center center;      
          background-size: <?php echo esc_attr($theme_option['logomobile_width']); ?> <?php echo esc_attr($theme_option['logomobile_height']); ?>; 
          top:<?php echo esc_attr($theme_option['logomobile_margintop']); ?>;
        }
      }

      ul.slimmenu li.current-menu-item a,
      .cd-half-block h2 b,
      .mb_YTVPBar,
      .section-header-text-left h4 b,
      .section-header-text h4 span,
      .contact-details p span,
      .wpcf7-form .send_message,
      .big-text-pages-top span,
      .team-wrap .mask-team p span,
      .team-wrap .mask-team ul li p span,
      .services-box:hover h6 span,
      .cd-half-block-blog h3 b,
      .blog-date,
      .pricing-item:hover h6,
      .pricing-item.popular h6,
      .pricing-item .number-price span,
      .pricing-item .number-price b,
      .services-box-2:hover .ser-icon,
      .big-text-portfolio-top h2 span,
      #filter li .current,
      #filter li a:hover,
      .blog-big-wrapper .link-to-post,
      .page404 a, .widget a:hover,
      .padding-blog h4 span, .team-wrap .mask-team > ul li:before,
      ul.slimmenu > li.current-menu-parent > a, ul.slimmenu li a:hover {
        color: <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      #wp-calendar tbody td#today{background: <?php echo esc_attr( $theme_option['main-color'] ); ?>;}
      .tagcloud li a:hover{border:1px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;}
      ul.slimmenu li a:hover {
          border-bottom: 1px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      .cd-intro h1 b {
          border-bottom: 2px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      .footer-social a::before {
        border: 2px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      .big-text-top span{ 
        border-left:3px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;
        border-right:3px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      .mb_YTVTime {
        background: <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }
      .wpcf7-form textarea:focus,
      .wpcf7-form input:focus,
      .wpcf7-form textarea:active,
      .wpcf7-form input:active {  
        border-bottom:1px solid <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }

      .cd-vertical-nav a:hover,
      a.scroll-down:hover,
      .btn:hover,
      .btn-projects,
      .list-social li:hover,
      #cd-zoom-in,
      #cd-zoom-out,
      .section-header-text .line-header,
      .section-header-text-left .line-header,
      .section-big-header-text .line-big-header,
      .cd-vertical-nav-blog a:hover,
      .pricing-item a.price-link:hover,
      .counter-line,
      .pro-bar,
      .smk_accordion .accordion_in .acc_head:hover,
      .smk_accordion .accordion_in.acc_active > .acc_head,
      .portfolio-box-1 .line-mask,
      .owl-theme .owl-controls .owl-page.active span,
      .owl-theme .owl-controls.clickable .owl-page:hover span, .sticky a.animsition-link:hover .link-to-post {
        background-color: <?php echo esc_attr( $theme_option['main-color'] ); ?>;
      }

      .footer{
        background-color: <?php echo esc_attr( $theme_option['background_footer'] ); ?>;
        color: <?php echo esc_attr( $theme_option['color_footer'] ); ?>;
      }
      .footer-social a{
        color: <?php echo esc_attr( $theme_option['color_social'] ); ?>;
      }
      <?php echo wp_specialchars_decode($theme_option['custom-css']); ?>
    </style>
<?php        
    }
}
add_action('wp_head', 'pallas_custom_frontend_style');