<?php

/**
 * Template Name: Blog With Sidebar
 */
global $theme_option;
get_header(); ?>

	<?php 
		$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
		$stitle = get_post_meta(get_the_ID(),'_cmb_page_stitle', true); 
		$bg = get_post_meta(get_the_ID(),'_cmb_bg_head', true);  
	 ?>
	<section class="cd-section-blog">
		<div class="cd-block-blog">
			<div class="blog-top" style="<?php if($bg) echo 'background-image: url('.$bg.');'; ?>">
				<?php if($title != '') { ?>
				<div class="big-text-pages-top">
					<h1><?php echo htmlspecialchars_decode($title); ?></h1>
				</div>
				<?php } ?>
				<?php if($stitle != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stitle); ?></div><?php } ?>
				<a href="#scroll-link" class="scroll scroll-down"></a>
			</div>
		</div>
	</section>

	<div  class="section boxed-width white-background padding-bottom padding-top" id="scroll-link">
		<div class="container">

			<?php if (isset($theme_option['blog_layout']) and $theme_option['blog_layout'] == 'wsbl') { ?>
				<div class="four columns">
					<div class="post-sidebar">
						<?php get_sidebar();?>
					</div>	
				</div>
			<?php } ?>

			<div class="<?php if(isset($theme_option['blog_layout']) and $theme_option['blog_layout'] != 'fw' ){echo 'eleven';}else{echo 'sixteen';}?> columns">
				<?php if(have_posts()) : ?>	
				<?php 
					$args = array(    
						'paged' => $paged,
						'post_type' => 'post',
					);
					$wp_query = new WP_Query($args);
					while ($wp_query -> have_posts()): $wp_query -> the_post(); 
				?> 		
					<div class="blog-big-wrapper grey-section">
						<?php
							if ( has_post_thumbnail() ) {
							    the_post_thumbnail();
							}
						?>
						<?php if ( has_post_thumbnail() ) { echo "<div class='bot-50'></div>"; } ?>
						<a href="<?php the_permalink(); ?>" class="animsition-link"><h5><?php the_title(); ?></h5></a>
						<div class="big-post-date"><span><i class="fa fa-calendar" aria-hidden="true"></i></span> <?php the_time('d M Y'); ?> / <span><i class="fa fa-user" aria-hidden="true"></i></span> <?php the_author(); ?> / <span><i class="fa fa-comments" aria-hidden="true"></i></span><?php comments_number( '0', '1', '%' ); ?></div>
						<?php $ex = get_post_meta(get_the_ID(),'_cmb_ex_post', true);?>
						<p><?php echo htmlspecialchars_decode($ex); ?></p>
						<a href="<?php the_permalink(); ?>" class="animsition-link"><div class="link-to-post"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></div></a>						
					</div>
				<?php endwhile;?> 
				<?php else: ?>
					<h1><?php _e('Nothing Found Here!', 'pallas'); ?></h1>
				<?php endif; ?>	
			</div>

			<?php if (isset($theme_option['blog_layout']) and $theme_option['blog_layout'] == 'wsb') { ?>
				<div class="four columns">
					<div class="post-sidebar">
						<?php get_sidebar();?>
					</div>	
				</div>	
			<?php } ?>			

		</div>

		<div class="clear"></div>
		<div class="container">		
			<div class="sixteen columns">	
				<div class="project-arrows-wrapper">				
					<?php if(get_previous_posts_link()) { ?><div class="project-arrow-left"><p><?php previous_posts_link( __('Prev', 'pallas'), 0 ); ?></p></div><?php } ?>
					<?php if(get_next_posts_link()) { ?><div class="project-arrow-right"><p><?php next_posts_link( __('Next', 'pallas') ); ?></p></div><?php } ?>
				</div>
			</div>
		</div>

	</div>	

<?php get_footer(); ?>