<?php
/**
 * Template Name: Portfolio LightBox Gallery
 */
global $theme_option;
get_header(); ?>
	<?php 
		$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
		$stitle = get_post_meta(get_the_ID(),'_cmb_page_stitle', true); 
		$bg = get_post_meta(get_the_ID(),'_cmb_bg_head', true);  
	?>

	<?php if($bg != '') { ?>  
		<section class="cd-section">
			<div class="cd-block">
				<div class="about-top blog-top" <?php if($bg != ''){ ?> style="<?php echo 'background-image: url('.$bg.');'; ?>" <?php } ?> >
					<div class="big-text-pages-top">
						<?php if($title != ''){ ?>
							<h1><?php echo htmlspecialchars_decode($title); ?></h1>
						<?php }else{ ?>
							<h1><?php the_title(); ?></h1>
						<?php } ?>
					</div>
					<?php if($stitle != ''){ ?><div class="small-text"><?php echo esc_attr($stitle); ?></div><?php } ?>
					<a href="#scroll-link" class="scroll scroll-down"></a>
				</div>
			</div>
		</section>
		<div id="scroll-link"></div>
	<?php } ?>

	<section class="section white-section portfolio-padding-top-bottom-1">
		<div class="container">
			<div class="sixteen columns">
				<div id="portfolio-filter">
					<ul id="filter">
						<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($theme_option['show_all']); ?></a></li>
						<?php 
						$categories = get_terms('categories');   
						foreach( (array)$categories as $categorie){
							$cat_name = $categorie->name;
							$cat_slug = $categorie->slug;
						?>
						<li><a href="#" data-filter=".<?php echo esc_attr($cat_slug); ?>"><?php echo esc_attr($cat_name); ?></a></li>
						<?php } ?>
					</ul>
				</div>
			</div>
		</div>

		<div id="projects-grid">

			<?php if(have_posts()) : ?>	

			<?php 

				$args = array(    

					'paged' => $paged,

					'post_type' => 'portfolio',

					'posts_per_page' => -1

					);

				$wp_query = new WP_Query($args);

				while ($wp_query -> have_posts()): $wp_query -> the_post(); 

				$cates = get_the_terms(get_the_ID(),'categories');

				$cate_name ='';

				$cate_slug = '';

				    foreach((array)$cates as $cate){

						if(count($cates)>0){

							$cate_name .= $cate->name.'. ' ;

							$cate_slug .= $cate->slug .' ';     

						} 

				} 



				$video = get_post_meta(get_the_ID(),'_cmb_folio_video', true);
				$image = wp_get_attachment_url(get_post_thumbnail_id());

			?>

			<a href="<?php if($video != ''){ echo esc_url($video); }else{ echo esc_url($image); } ?>" class="group1 <?php if($video!= ''){ echo 'vimeo'; } ?>">
				<div class="portfolio-box-1 <?php echo esc_attr($cate_slug); ?>">
					<div class="mask-1"></div>
          			<img src="<?php echo esc_url($image); ?>" alt="">
					<h6><?php the_title(); ?></h6>
					<div class="line-mask"></div>
					<p><?php echo esc_attr($cate_name); ?></p>
				</div>
			</a>
			<?php endwhile;?> 
			<?php else: ?>
				<h1><?php _e('Nothing Found Here!', 'pallas'); ?></h1>
			<?php endif; ?>
		</div>	
	</section>	

<?php get_footer(); ?>