<?php 
// Custom Heading
add_shortcode('heading','heading_func');
function heading_func($atts, $content = null){
	extract(shortcode_atts(array(
		'text'		=>	'',
		'tag'		=> 	'h1',
		'size'		=>	'',
		'color'		=>	'',
		'align'		=>	'left',
	), $atts));
	
	$html = '';
	$size1 = (!empty($size) ? 'font-size: '.$size.'px;' : '');
	$color1 = (!empty($color) ? 'color: '.$color.';' : '');
	$align1 = (!empty($align) ? 'text-align: '.$align.';' : '');
	$html .= '<'.$tag.' style="' . $size1 . $align1 . $color1 .'">'. $text .'</'.$tag.'>';
	
	return $html;
}

// Socials
add_shortcode('socslider','socslider_func');
function socslider_func($atts, $content = null){
	extract(shortcode_atts(array(
		'icon1'		=> 	'',
		'icon2'		=> 	'',
		'icon3'		=> 	'',
		'icon4'		=> 	'',
		'icon5'		=> 	'',
		'link1'		=> 	'',
		'link2'		=> 	'',
		'link3'		=> 	'',
		'link4'		=> 	'',
		'link5'		=> 	'',
	), $atts));

	ob_start(); ?>
	
	<div class="social-top">
		<ul class="list-social">
			<?php if($icon1 != '') { ?>
				<li class="icon-soc tipped" data-title="<?php echo esc_attr($icon1); ?>"  data-tipper-options='{"direction":"top","follow":"true"}'>
					<a target="_blank" href="<?php echo esc_url($link1); ?>"><i class="fa fa-<?php echo esc_attr($icon1); ?>"></i></a>
				</li>
			<?php } ?>
			<?php if($icon2 != '') { ?>
				<li class="icon-soc tipped" data-title="<?php echo esc_attr($icon2); ?>"  data-tipper-options='{"direction":"top","follow":"true"}'>
					<a target="_blank" href="<?php echo esc_url($link2); ?>"><i class="fa fa-<?php echo esc_attr($icon2); ?>"></i></a>
				</li>
			<?php } ?>
			<?php if($icon3 != '') { ?>
				<li class="icon-soc tipped" data-title="<?php echo esc_attr($icon3); ?>"  data-tipper-options='{"direction":"top","follow":"true"}'>
					<a target="_blank" href="<?php echo esc_url($link3); ?>"><i class="fa fa-<?php echo esc_attr($icon3); ?>"></i></a>
				</li>
			<?php } ?>
			<?php if($icon4 != '') { ?>
				<li class="icon-soc tipped" data-title="<?php echo esc_attr($icon4); ?>"  data-tipper-options='{"direction":"top","follow":"true"}'>
					<a target="_blank" href="<?php echo esc_url($link4); ?>"><i class="fa fa-<?php echo esc_attr($icon4); ?>"></i></a>
				</li>
			<?php } ?>
			<?php if($icon5 != '') { ?>
				<li class="icon-soc tipped" data-title="<?php echo esc_attr($icon5); ?>"  data-tipper-options='{"direction":"top","follow":"true"}'>
					<a target="_blank" href="<?php echo esc_url($link5); ?>"><i class="fa fa-<?php echo esc_attr($icon5); ?>"></i></a>
				</li>
			<?php } ?>
		</ul>	
	</div>

<?php
    return ob_get_clean();
}

// Home Image
add_shortcode('homeimg', 'homeimg_func');
function homeimg_func($atts, $content = null){
	extract(shortcode_atts(array(
		'image'		=> 	'',
		'btext'		=>	'',
		'stext'		=>	'',
	), $atts));

	$img = wp_get_attachment_image_src($image,'full');
	$img = $img[0];

	ob_start(); ?>
	
	<div class="home-top" <?php if($image != '') { ?>style="background-image:url(<?php echo esc_url($img); ?>);"<?php } ?>>
		<div class="cd-intro">
			<?php if($btext != '') { ?><h1><?php echo htmlspecialchars_decode($btext); ?></h1><?php } ?>
		</div>
		<?php if($stext != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stext); ?></div><?php } ?>
		<a href="#scroll-link" class="scroll scroll-down"></a>
	</div>
<?php
    return ob_get_clean();
}

// Home Slider
add_shortcode('homeslider', 'homeslider_func');
function homeslider_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'	=> 	'',
		'btext'		=>	'',
		'stext'		=>	'',
	), $atts));

	ob_start(); ?>
	
	<div class="home-top-slider" id="slider-wrap">			
		<div id="wrapper-slider">
			<div id="controls">
				<div class="prev"></div>
				<div class="next"></div>
			</div>
		</div>
		<div class="cd-intro">
			<?php if($btext != '') { ?><h1><?php echo htmlspecialchars_decode($btext); ?></h1><?php } ?>
		</div>
		<?php if($stext != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stext); ?></div><?php } ?>
		<a href="#scroll-link" class="scroll scroll-down"></a>		
	</div>

	<script type="text/javascript">
		(function($) { "use strict";
			//Home Background Slider
            $.mbBgndGallery.buildGallery({
                containment:"#slider-wrap",
                timer:2000,
                effTimer:4000,
                controls:"#controls",
                grayScale:false,
                shuffle:true,
                preserveWidth:false,
                effect:"zoom",               
                images:[
                <?php 
				$img_ids = explode(",",$gallery);
				foreach( $img_ids AS $img_id ){
				$image_src = wp_get_attachment_image_src($img_id,''); 
				$attachment = get_post( $img_id );?>
                 	"<?php echo esc_url( $image_src[0] ); ?>",
                <?php } ?>
                ],

                onStart:function(){},
                onPause:function(){},
                onPlay:function(opt){},
                onChange:function(opt,idx){},
                onNext:function(opt){},
                onPrev:function(opt){}
            });
		})(jQuery); 
	</script>

<?php
    return ob_get_clean();
}

// Home Text Slider
add_shortcode('hometext', 'hometext_func');
function hometext_func($atts, $content = null){
	extract(shortcode_atts(array(
		'image'		=> 	'',
		'btext'		=>	'',
		'stext'		=>	'',
	), $atts));

	$img = wp_get_attachment_image_src($image,'full');
	$img = $img[0];

	ob_start(); ?>
	
	<div class="home-top" <?php if($image != '') { ?>style="background-image:url(<?php echo esc_url($img); ?>);"<?php } ?>>
		<?php if($btext != '') { ?>
		<div class="big-text-top">
			<div class="flippy">
				<span class="rotate"><?php echo htmlspecialchars_decode($btext); ?></span>
			</div>
		</div>
		
		<?php } if($stext != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stext); ?></div><?php } ?>
		
		<a href="#scroll-link" class="scroll scroll-down"></a>
		
	</div>
	<?php

    return ob_get_clean();
}

// Home HTML5 Video
add_shortcode('homehtml5', 'homehtml5_func');
function homehtml5_func($atts, $content = null){
	extract(shortcode_atts(array(
		'mp4'		=> 	'',
		'ogg'		=> 	'',
		'webm'		=> 	'',
		'btext'		=>	'',
		'stext'		=>	'',
		'poster' => ''
	), $atts));

	$img = wp_get_attachment_image_src($poster,'full');
	$img = $img[0];

	ob_start(); ?>
	
	<div class="home-top-video">
		<video id="video_background_home" autoplay="" loop="" muted="" poster="<?php echo esc_url($img); ?>" playsinline> 
			<?php if($webm!=''){ ?><source src="<?php echo esc_url($webm); ?>" type="video/webm"> <?php } ?>
			<?php if($mp4!=''){ ?><source src="<?php echo esc_url($mp4); ?>" type="video/mp4"> <?php } ?>
			<?php if($ogg!=''){ ?><source src="<?php echo esc_url($ogg); ?>" type="video/ogg"> <?php } ?>
		</video>

		<?php if($btext != '') { ?>
		<div class="big-text-top">
			<div class="flippy">
				<span class="rotate"><?php echo htmlspecialchars_decode($btext); ?></span>
			</div>
		</div>
		<?php } if($stext != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stext); ?></div><?php } ?>
		
		<a href="#scroll-link" class="scroll scroll-down"></a>
		
	</div>
	<?php

    return ob_get_clean();
}

// Home Youtube Video
add_shortcode('hometube', 'hometube_func');
function hometube_func($atts, $content = null){
	extract(shortcode_atts(array(
		'video'		=> 	'',		
		'btext'		=>	'',
		'stext'		=>	'',
	), $atts));

	ob_start(); ?>
	
	<div class="home-top" id="home-sec">
		<?php if($btext != '') { ?>
		<div class="big-text-top">
			<div class="flippy">
				<span class="rotate"><?php echo htmlspecialchars_decode($btext); ?></span>
			</div>
		</div>
		
		<?php } if($stext != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stext); ?></div><?php } ?>
		
		<a href="#scroll-link" class="scroll scroll-down"></a>
		
	</div>

	<div class="mk-video-mask"></div>
		<!-- Video Background - Here you need to replace the videoURL with your youtube video URL -->
	<a id="bgndVideo" class="player" data-property="{videoURL:'<?php echo esc_attr($video); ?>',containment:'#home-sec',autoPlay:true, mute:true, startAt:0, opacity:1}"></a>
	<script type="text/javascript">
		(function($) { "use strict";
			$(".player").mb_YTPlayer();
		})(jQuery); 	
	</script>
<?php
    return ob_get_clean();
}

// Home Moving Image
add_shortcode('moving', 'moving_func');
function moving_func($atts, $content = null){
	extract(shortcode_atts(array(
		'image'		=> 	'',
		'btext'		=>	'',
		'stext'		=>	'',
	), $atts));

	$img = wp_get_attachment_image_src($image,'full');
	$img = $img[0];

	ob_start(); ?>
	
	<div class="home-top">
		<div class="moving-home" <?php if($image != '') { ?>style="background-image:url(<?php echo esc_url($img); ?>);"<?php } ?>></div>
		<?php if($btext != '') { ?>
		<div class="big-text-top">
			<div class="flippy">
				<span class="rotate"><?php echo htmlspecialchars_decode($btext); ?></span>
			</div>
		</div>
		<?php } if($stext != '') { ?><div class="small-text"><?php echo htmlspecialchars_decode($stext); ?></div><?php } ?>
		<a href="#scroll-link" class="scroll scroll-down"></a>
	</div>
	<script type="text/javascript">
		(function($) { "use strict";
			var x = 0;
	        setInterval(function(){
	            x-=1;
	            $('.moving-home').css('background-position', x + 'px 0');
	        }, 10);
		})(jQuery); 	
	</script>

<?php
    return ob_get_clean();
}

// Section Canvas
add_shortcode('canvas', 'canvas_func');
function canvas_func($atts, $content = null){
	extract(shortcode_atts(array(
		'image'		=> 	'',
		'title'		=>	'',
		'btn'		=>	'',
		'link'		=>	'',
	), $atts));

	$img = wp_get_attachment_image_src($image,'full');
	$img = $img[0];

	ob_start(); ?>
	
	<div class="cd-half-block">
		<div class="bg-block" style="background-image:url(<?php echo esc_url($img); ?>);"></div>
	</div>
	<div class="cd-half-block">
		<div class="block-text">
			<?php if($title != '') { ?><h2><?php echo htmlspecialchars_decode($title); ?></h2><?php } ?>
			<?php if($content != '') { ?><p><?php echo htmlspecialchars_decode($content); ?></p><?php } ?>
			<?php if($btn != '') { ?><a href="<?php echo esc_url($link); ?>" class="btn animsition-link"><?php echo htmlspecialchars_decode($btn); ?></a><?php } ?>
		</div>
	</div>

<?php
    return ob_get_clean();
}


// Our Team
add_shortcode('team', 'team_func');
function team_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		=> 	'',
		'name'		=>	'',
		'job'		=>	'',
		'icon1'		=>	'',
		'icon2'		=>	'',
		'icon3'		=>	'',
		'icon4'		=>	'',
		'url1'		=>	'',
		'url2'		=>	'',
		'url3'		=>	'',
		'url4'		=>	'',
	), $atts));

	$img = wp_get_attachment_image_src($photo,'full');
	$img = $img[0];

	$icon11 = (!empty($icon1) ? '<a href="'.esc_url($url1).'" target="_blank"><i class="fa fa-'.esc_attr($icon1).'"></i></a>' : '');
	$icon22 = (!empty($icon2) ? '<a href="'.esc_url($url2).'" target="_blank"><i class="fa fa-'.esc_attr($icon2).'"></i></a>' : '');
	$icon33 = (!empty($icon3) ? '<a href="'.esc_url($url3).'" target="_blank"><i class="fa fa-'.esc_attr($icon3).'"></i></a>' : '');
	$icon44 = (!empty($icon4) ? '<a href="'.esc_url($url4).'" target="_blank"><i class="fa fa-'.esc_attr($icon4).'"></i></a>' : '');

	ob_start(); ?>
	
	<div class="team-wrap">	
		<img src="<?php echo esc_url($img); ?>" alt="">
		<div class="mask-team">
			<?php if($name != '') { ?><h6><?php echo htmlspecialchars_decode($name); ?></h6><?php } ?>
			<?php if($job != '') { ?><p><span><?php echo htmlspecialchars_decode($job); ?></span></p><?php } ?>
			<?php if($content != '') { echo htmlspecialchars_decode($content); } ?>
			<div class="social-team">
				<ul class="list-social-team">
					<?php if($icon1 != '') { ?>
					<li class="icon-soc-team">
						<?php echo htmlspecialchars_decode(esc_attr($icon11)); ?>
					</li>
					<?php } ?>
					<?php if($icon2 != '') { ?>
					<li class="icon-soc-team">
						<?php echo htmlspecialchars_decode(esc_attr($icon22)); ?>
					</li>
					<?php } ?>
					<?php if($icon3 != '') { ?>
					<li class="icon-soc-team">
						<?php echo htmlspecialchars_decode(esc_attr($icon33)); ?>
					</li>
					<?php } ?>
					<?php if($icon4 != '') { ?>
					<li class="icon-soc-team">
						<?php echo htmlspecialchars_decode(esc_attr($icon44)); ?>
					</li>
					<?php } ?>
				</ul>	
			</div>
		</div>
	</div>

	<?php

    return ob_get_clean();
}


// Skills
add_shortcode('skill', 'skill_func');
function skill_func($atts, $content = null){
	extract(shortcode_atts(array(
		'name'		=> 	'',
		'per'		=> 	'',
	), $atts));

	ob_start(); ?>
	
	<div class="skills-name"><?php echo htmlspecialchars_decode($name); ?><span><span class="counter-skills"><span class="counter-skills"><?php echo esc_attr($per); ?></span></span>%</span></div>
	<div class="pro-bar-container pro-bar-margin">					
		<div class="pro-bar bar-<?php echo esc_attr($per); ?>" data-pro-bar-percent="<?php echo esc_attr($per); ?>"></div>
	</div>	

	<?php

    return ob_get_clean();
}


// Title Section
add_shortcode('titlesec', 'title_func');
function title_func($atts, $content = null){
	extract(shortcode_atts(array(
		'stitle'	=> 	'',
		'title'		=>	'',
		'align'		=>	'left',
	), $atts));

	ob_start(); ?>
	
	<div class="section-header-text<?php if($align == 'left') echo '-left'; ?>">
		<?php if($title != '') { ?><h4><?php echo htmlspecialchars_decode($title); ?></h4><?php } ?>
		<?php if($stitle != '') { ?><p><?php echo htmlspecialchars_decode($stitle); ?></p><?php } ?>
		<div class="line-header"></div>
	</div>
	<?php

    return ob_get_clean();
}


// Gallery Post
add_shortcode('folioslider', 'folioslider_func');
function folioslider_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=> 	'',
	), $atts));

	ob_start(); ?>
	
	<div id="owl-portfolio-slider" class="owl-carousel owl-theme">
		<?php 
		$img_ids = explode(",",$gallery);
		foreach( $img_ids AS $img_id ){ ?>
			<div class="item">
				<?php echo wp_get_attachment_image( $img_id, 'full' );  ?>			
			</div>
		<?php } ?>
	</div>	

<?php
    return ob_get_clean();
}

// Video Player 
add_shortcode('videoplayer', 'videoplayer_func');
function videoplayer_func($atts, $content = null){
	extract(shortcode_atts(array(
		'video'  => 	'',
	), $atts));
	ob_start(); ?>
	
	<iframe height="170" src="<?php echo esc_url($video); ?>?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff"></iframe>

	<?php
    return ob_get_clean();
}


// Button Project
add_shortcode('button', 'button_func');
function button_func($atts, $content = null){
	extract(shortcode_atts(array(
		'text'  => 	'',
		'link'  => 	'',
	), $atts));
	ob_start(); ?>
	
	<a href="<?php echo esc_url($link); ?>" class="btn-projects"><?php echo htmlspecialchars_decode($text); ?></a>

<?php
    return ob_get_clean();
}

// Pricing Table
add_shortcode('pricingtable', 'pricingtable_func');
function pricingtable_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		 => '',
		'price'		 => '',
		'buttontext' => '',
		'link'       => '',
		'featured'   => 'no',
		'icon'  	 => '',
	), $atts));
	ob_start(); ?>

	<div class="pricing-item <?php if($featured == 'yes') { echo "popular";}?>">
		<h6><?php echo esc_attr($title); ?></h6>
		<div class="number-price"><span><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></span><?php echo htmlspecialchars_decode(esc_attr($price)); ?></div>
		<?php echo htmlspecialchars_decode(esc_attr($content)); ?>
		<?php if($link != ''){ ?><a class="price-link" href="<?php echo esc_url($link); ?>"><?php echo esc_attr($buttontext); ?></a><?php } ?>
	</div>

<?php
    return ob_get_clean();
}

// Our Facts
add_shortcode('ourfacts', 'ourfacts_func');
function ourfacts_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=> 	'',
		'number'    => 	'',
	), $atts));
	ob_start(); ?>

	<div class="counter-wrap">	
		<div class="counter-numb"><span class="counter-facts"><?php echo esc_attr($number); ?></span></div>
		<div class="counter-line"></div>
		<?php if($title != '') { ?><h6><?php echo htmlspecialchars_decode($title); ?></h6><?php } ?>
	</div>

<?php
    return ob_get_clean();
}


// Our Service
add_shortcode('servicebox', 'service_func');
function service_func($atts, $content = null){
	extract(shortcode_atts(array(
		'icon'		=> 	'',
		'title'		=>	'',
		'link'		=>	'',
		'style'		=>	'style1',
	), $atts));

	ob_start(); ?>

	<?php if($style == 'style1') { ?>
		<?php if($link != '') { ?><a href="<?php echo esc_url($link); ?>" class="link-service"><?php } ?>
			<div class="services-box">
				<h6><?php if($icon != '') { ?><span><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></span> <?php } echo htmlspecialchars_decode($title); ?></h6>
				<?php if($content != '') { ?><?php echo htmlspecialchars_decode($content); ?><?php } ?>
			</div>
		<?php if($link != '') { ?></a><?php } ?>
	<?php }else{ ?>
		<div class="services-box-2">
			<div class="ser-icon"><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></div>
			<h6><?php if($icon != '') { ?><?php } echo htmlspecialchars_decode($title); ?></h6>
			<?php if($content != '') { ?><?php echo htmlspecialchars_decode($content); ?><?php } ?>
		</div>
	<?php } ?>

<?php
    return ob_get_clean();
}

// Message Box
add_shortcode('mess', 'mess_func');
function mess_func($atts, $content = null){
	extract(shortcode_atts(array(
		'icon'		=> 	'',
		'text'		=> 	'',
		'bg'		=> 	'',
		'border'	=> 	'',
		'color'		=> 	'',
	), $atts));
	ob_start(); ?>
	
	<div class="alert" style="background: <?php echo esc_attr($bg); ?>; border-color: <?php echo esc_attr($border); ?>;">
		<p style="<?php if($color) { ?>color: <?php echo esc_attr($color); ?>; <?php } ?>"><span><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></span><?php echo htmlspecialchars_decode($text); ?></p>
	</div>	

<?php
    return ob_get_clean();
}


// Contact Info
add_shortcode('ctinfo', 'ctinfo_func');
function ctinfo_func($atts, $content = null){
	extract(shortcode_atts(array(
		'icon'		=> 	'',
		'title'		=> 	'',
		'info'		=> 	'',
	), $atts));

	ob_start(); ?>
	
	<div class="contact-details">
		<p><?php if($icon) { ?><span><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></span><?php } echo htmlspecialchars_decode($title); ?></p> 
		<h6><?php echo htmlspecialchars_decode($info); ?></h6>
	</div>	

<?php
    return ob_get_clean();
}

// Minimal Contact
add_shortcode('minimal', 'minimal_func');
function minimal_func($atts, $content = null){
	extract(shortcode_atts(array(
		'image'		=> 	'',
		'icon1'		=>	'',
		'title1'	=>	'',
		'info1'		=>	'',
		'icon2'		=> 	'',
		'title2'	=> 	'',
		'info2'		=> 	'',
		'icon3'		=> 	'',
		'title3'	=> 	'',
		'info3'		=> 	'',
	), $atts));

	$img = wp_get_attachment_image_src($image,'full');
	$img = $img[0];

	ob_start(); ?>
	
	<div class="cd-half-block">
		<div class="bg-block" style="background-image:url(<?php echo esc_url($img); ?>);"></div>
	</div>
	<div class="cd-half-block">
		<div class="block-text">
			<div class="block-text">
				<div class="contact-details">
					<p><?php if($icon1 != '') { ?><span><i class="fa fa-<?php echo esc_attr($icon1); ?>"></i></span> <?php } echo htmlspecialchars_decode($title1); ?></p> 
					<h6><?php echo htmlspecialchars_decode($info1); ?></h6>
				</div>
				<div class="contact-details">
					<p><?php if($icon2 != '') { ?><span><i class="fa fa-<?php echo esc_attr($icon2); ?>"></i></span> <?php } echo htmlspecialchars_decode($title2); ?></p>
					<h6><?php echo htmlspecialchars_decode($info2); ?></h6>
				</div>
				<div class="contact-details">
					<p><?php if($icon3 != '') { ?><span><i class="fa fa-<?php echo esc_attr($icon3); ?>"></i></span> <?php } echo htmlspecialchars_decode($title3); ?></p>
					<h6><?php echo htmlspecialchars_decode($info3); ?></h6>
				</div>
			</div>
		</div>
	</div>

<?php
    return ob_get_clean();
}


//Google Map
add_shortcode('maps', 'maps_func');
function maps_func($atts, $content = null){
	extract(shortcode_atts(array(
		'imgmap'		=> 	'',
		'add'		=> 	'',
		'lat'		=> 	'',
		'long'		=> 	'',
		'zoom'		=> 	'',		
		'main_color'      => '',
		'saturation_value' => '',
		'brightness_value' => ''
	), $atts));

	$img = wp_get_attachment_image_src($imgmap,'full');
	$img = $img[0];
	
	$main_color1 = (!empty($main_color) ? $main_color : '#cccccc');
	$saturation_value1 = (!empty($saturation_value) ? $saturation_value : -100);
	$brightness_value1 = (!empty($brightness_value) ? $brightness_value : 9);

	ob_start(); ?>
	
	<div class="cd-block">
		<div class="contact-top">		
			<div id="cd-google-map">
				<div id="google-container"></div>
				<div id="cd-zoom-in"></div>
				<div id="cd-zoom-out"></div>
				<?php if($add) { ?><address><?php echo htmlspecialchars_decode($add); ?></address><?php } ?>
			</div>				
			<a href="#scroll-link" class="scroll scroll-down"></a>			
		</div>
	</div>
	<script type="text/javascript">
		(function($) { "use strict";

		//Home Sections fit screen	
		$('.contact-top').parents('section').addClass('cd-section');		
		$('.contact-top, #cd-google-map').css({'height':($(window).height())+'px'});
		$(window).resize(function(){
			$('.contact-top, #cd-google-map').css({'height':($(window).height())+'px'});
		});
	
		
		var latitude = <?php echo esc_attr($lat); ?>,
			longitude = <?php echo esc_attr($long); ?>,
			map_zoom = <?php echo esc_attr($zoom); ?>;

		//google map custom marker icon - .png fallback for IE11
		var is_internetExplorer11= navigator.userAgent.toLowerCase().indexOf('trident') > -1;
		<?php if($imgmap) { ?>
		var marker_url = '<?php echo esc_url($img); ?>' ;
		<?php }else{ ?>
		var marker_url = '<?php echo get_template_directory_uri(); ?>/images/cd-icon-location.svg';		
		<?php } ?>	
		//define the basic color of your map, plus a value for saturation and brightness
		var	main_color = '<?php echo esc_attr($main_color1); ?>',
			saturation_value= <?php echo esc_attr($saturation_value1); ?>,
			brightness_value= <?php echo esc_attr($brightness_value1); ?>;

		//we define here the style of the map
		var style= [ 
			{
				//set saturation for the labels on the map
				elementType: "labels",
				stylers: [
					{saturation: saturation_value}
				]
			},  
			{	//poi stands for point of interest - don't show these lables on the map 
				featureType: "poi",
				elementType: "labels",
				stylers: [
					{visibility: "off"}
				]
			},
			{
				//don't show highways lables on the map
				featureType: 'road.highway',
				elementType: 'labels',
				stylers: [
					{visibility: "off"}
				]
			}, 
			{ 	
				//don't show local road lables on the map
				featureType: "road.local", 
				elementType: "labels.icon", 
				stylers: [
					{visibility: "off"} 
				] 
			},
			{ 
				//don't show arterial road lables on the map
				featureType: "road.arterial", 
				elementType: "labels.icon", 
				stylers: [
					{visibility: "off"}
				] 
			},
			{
				//don't show road lables on the map
				featureType: "road",
				elementType: "geometry.stroke",
				stylers: [
					{visibility: "off"}
				]
			}, 
			//style different elements on the map
			{ 
				featureType: "transit", 
				elementType: "geometry.fill", 
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			}, 
			{
				featureType: "poi",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "poi.government",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "poi.sport_complex",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "poi.attraction",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "poi.business",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "transit",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "transit.station",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "landscape",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
				
			},
			{
				featureType: "road",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			},
			{
				featureType: "road.highway",
				elementType: "geometry.fill",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			}, 
			{
				featureType: "water",
				elementType: "geometry",
				stylers: [
					{ hue: main_color },
					{ visibility: "on" }, 
					{ lightness: brightness_value }, 
					{ saturation: saturation_value }
				]
			}
		];
			
		//set google map options
		var map_options = {
			center: new google.maps.LatLng(latitude, longitude),
			zoom: map_zoom,
			panControl: false,
			zoomControl: false,
			mapTypeControl: false,
			streetViewControl: false,
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			scrollwheel: false,
			styles: style,
		}
		//inizialize the map
		var map = new google.maps.Map(document.getElementById('google-container'), map_options);
		//add a custom marker to the map				
		var marker = new google.maps.Marker({
			position: new google.maps.LatLng(latitude, longitude),
			map: map,
			visible: true,
			icon: marker_url,
		});

		//add custom buttons for the zoom-in/zoom-out on the map
		function CustomZoomControl(controlDiv, map) {
			//grap the zoom elements from the DOM and insert them in the map 
			var controlUIzoomIn= document.getElementById('cd-zoom-in'),
				controlUIzoomOut= document.getElementById('cd-zoom-out');
			controlDiv.appendChild(controlUIzoomIn);
			controlDiv.appendChild(controlUIzoomOut);

			// Setup the click event listeners and zoom-in or out according to the clicked element
			google.maps.event.addDomListener(controlUIzoomIn, 'click', function() {
				map.setZoom(map.getZoom()+1)
			});
			google.maps.event.addDomListener(controlUIzoomOut, 'click', function() {
				map.setZoom(map.getZoom()-1)
			});
		}

		var zoomControlDiv = document.createElement('div');
		var zoomControl = new CustomZoomControl(zoomControlDiv, map);

		//insert the zoom div on the top left of the map
		map.controls[google.maps.ControlPosition.LEFT_TOP].push(zoomControlDiv);
	})(jQuery); 
	</script>

<?php
    return ob_get_clean();
}

// Portfolio Masonry 2 Cols
add_shortcode('portfolio_masonry','portfolio_masonry_func');
function portfolio_masonry_func($atts, $content = null){
    extract( shortcode_atts( array(
      'all' => '',
	  'show'  =>  '' 
   ), $atts ) );
	    $all1 = (!empty($all) ? $all : 'All');
	    $show1 = (!empty($show) ? $show : 8);
    ob_start(); ?>

    <div class="container">
		<div class="sixteen columns">
			<div id="portfolio-filter">
				<ul id="filter">
					<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($all1); ?></a></li>
					<?php 
					$categories = get_terms('categories');   
					foreach( (array)$categories as $categorie){
						$cat_name = $categorie->name;
						$cat_slug = $categorie->slug;
					?>
					<li><a href="#" data-filter=".<?php echo esc_attr($cat_slug); ?>"><?php echo esc_attr($cat_name); ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
	<div id="projects-grid">
		<?php 
			$args = array(    
				'post_type' => 'portfolio',
				'posts_per_page' => $show1,
			);
			$wp_query = new WP_Query($args);
			while ($wp_query -> have_posts()): $wp_query -> the_post(); 
			$cates = get_the_terms(get_the_ID(),'categories');
			$cate_name ='';
			$cate_slug = '';
			    foreach((array)$cates as $cate){
					if(count($cates)>0){
						$cate_name .= $cate->name.'. ' ;
						$cate_slug .= $cate->slug .' ';     
					} 
			} 
		?> 
			<a href="<?php the_permalink(); ?>" class="animsition-link">
				<div class="portfolio-box-1 box-half <?php echo esc_attr($cate_slug); ?>">
					<div class="mask-1"></div>
					<?php the_post_thumbnail( 'full' ); ?>
					<h6><?php the_title(); ?></h6>
					<div class="line-mask"></div>
					<p><?php echo esc_attr($cate_name); ?></p>
				</div>
			</a>
		<?php endwhile; wp_reset_postdata(); ?> 
	</div>
	
<?php
    return ob_get_clean();
}

// Portfolio Masonry 3 Cols
add_shortcode('portfolio_masonry_3cols','portfolio_masonry_3cols_func');
function portfolio_masonry_3cols_func($atts, $content = null){
    extract( shortcode_atts( array(
      'all' => '',
	  'show'  =>  '',
	  'spacing' => '' 
   ), $atts ) );
	    $all1 = (!empty($all) ? $all : 'All');
	    $show1 = (!empty($show) ? $show : 8);
    ob_start(); ?>

    <div class="container">
		<div class="sixteen columns">
			<div id="portfolio-filter">
				<ul id="filter">
					<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($all1); ?></a></li>
					<?php 
					$categories = get_terms('categories');   
					foreach( (array)$categories as $categorie){
						$cat_name = $categorie->name;
						$cat_slug = $categorie->slug;
					?>
					<li><a href="#" data-filter=".<?php echo esc_attr($cat_slug); ?>"><?php echo esc_attr($cat_name); ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
	<div id="projects-grid">
		<?php 
			$args = array(    
				'post_type' => 'portfolio',
				'posts_per_page' => $show1,
			);
			$wp_query = new WP_Query($args);
			while ($wp_query -> have_posts()): $wp_query -> the_post(); 
			$cates = get_the_terms(get_the_ID(),'categories');
			$cate_name ='';
			$cate_slug = '';
			    foreach((array)$cates as $cate){
					if(count($cates)>0){
						$cate_name .= $cate->name.'. ' ;
						$cate_slug .= $cate->slug .' ';     
					} 
			} 
		?> 
			<a href="<?php the_permalink(); ?>" class="animsition-link">
				<div class="portfolio-box-1 <?php echo esc_attr($cate_slug); ?>">
					<div class="mask-1 <?php if($spacing == 'no'){ echo 'no-border-work'; } ?>"></div>
					<?php the_post_thumbnail( 'full' ); ?>
					<h6><?php the_title(); ?></h6>
					<div class="line-mask"></div>
					<p><?php echo esc_attr($cate_name); ?></p>
				</div>
			</a>
		<?php endwhile; wp_reset_postdata(); ?> 
	</div>
	
<?php
    return ob_get_clean();
}

// Portfolio Classic
add_shortcode('portfolio_classic','portfolio_classic_func');
function portfolio_classic_func($atts, $content = null){
    extract( shortcode_atts( array(
      'all' => '',
	  'show'  =>  '',
   ), $atts ) );
	    $all1 = (!empty($all) ? $all : 'All');
	    $show1 = (!empty($show) ? $show : 8);
    ob_start(); ?>

    <div class="container">
		<div class="sixteen columns">
			<div id="portfolio-filter">
				<ul id="filter">
					<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($all1); ?></a></li>
					<?php 
					$categories = get_terms('categories');   
					foreach( (array)$categories as $categorie){
						$cat_name = $categorie->name;
						$cat_slug = $categorie->slug;
					?>
					<li><a href="#" data-filter=".<?php echo esc_attr($cat_slug); ?>"><?php echo esc_attr($cat_name); ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
	<div id="projects-grid">
		<?php 
			$args = array(    
				'post_type' => 'portfolio',
				'posts_per_page' => $show1,
			);
			$wp_query = new WP_Query($args);
			while ($wp_query -> have_posts()): $wp_query -> the_post(); 
			$cates = get_the_terms(get_the_ID(),'categories');
			$cate_name ='';
			$cate_slug = '';
			    foreach((array)$cates as $cate){
					if(count($cates)>0){
						$cate_name .= $cate->name.'. ' ;
						$cate_slug .= $cate->slug .' ';     
					} 
			} 
		?> 
			<a href="<?php the_permalink(); ?>" class="animsition-link">
				<div class="portfolio-box-1 <?php echo esc_attr($cate_slug); ?>">
					<div class="mask-1"></div>
					<?php if ( has_post_thumbnail() ) { the_post_thumbnail( 'thumb-portfolio-small' ); } ?>
					<h6><?php the_title(); ?></h6>
					<div class="line-mask"></div>
					<p><?php echo esc_attr($cate_name); ?></p>
				</div>
			</a>
		<?php endwhile; wp_reset_postdata(); ?> 
	</div>
	
<?php
    return ob_get_clean();
}


// Portfolio LightBox Gallery
add_shortcode('portfolio_lightbox','portfolio_lightbox_func');
function portfolio_lightbox_func($atts, $content = null){
    extract( shortcode_atts( array(
      'all' => '',
	  'show'  =>  '', 
   ), $atts ) );
	    $all1 = (!empty($all) ? $all : 'All');
	    $show1 = (!empty($show) ? $show : 8);
    ob_start(); ?>

    <div class="container">
		<div class="sixteen columns">
			<div id="portfolio-filter">
				<ul id="filter">
					<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($all1); ?></a></li>
					<?php 
					$categories = get_terms('categories');   
					foreach( (array)$categories as $categorie){
						$cat_name = $categorie->name;
						$cat_slug = $categorie->slug;
					?>
					<li><a href="#" data-filter=".<?php echo esc_attr($cat_slug); ?>"><?php echo esc_attr($cat_name); ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
	<div id="projects-grid">
		<?php 
			$args = array(    
				'post_type' => 'portfolio',
				'posts_per_page' => $show1,
			);
			$wp_query = new WP_Query($args);
			while ($wp_query -> have_posts()): $wp_query -> the_post(); 
			$cates = get_the_terms(get_the_ID(),'categories');
			$cate_name ='';
			$cate_slug = '';
			    foreach((array)$cates as $cate){
					if(count($cates)>0){
						$cate_name .= $cate->name.'. ' ;
						$cate_slug .= $cate->slug .' ';     
					} 
			} 
			$video = get_post_meta(get_the_ID(),'_cmb_folio_video', true);
			$image = wp_get_attachment_url(get_post_thumbnail_id());
		?> 
			<a href="<?php if($video != ''){ echo esc_url($video); }else{ echo esc_url($image); } ?>" class="group1 <?php if($video!= ''){ echo 'vimeo'; } ?>">
				<div class="portfolio-box-1 <?php echo esc_attr($cate_slug); ?>">
					<div class="mask-1"></div>
					<?php the_post_thumbnail( 'full' ); ?>
					<h6><?php the_title(); ?></h6>
					<div class="line-mask"></div>
					<p><?php echo esc_attr($cate_name); ?></p>
				</div>
			</a>
		<?php endwhile; wp_reset_postdata(); ?> 
	</div>
	
<?php
    return ob_get_clean();
}